SUPPLY(9)

NAME
supply - set output pins with values from parameters (obsolete)

SYNOPSIS
loadrt supply num_chan=num

DESCRIPTION
supply was used to allow the inputs of other HAL components to be manipulated for testing purposes. When it was written, the only way to set the value of an input pin was to connect it to a signal and connect that signal to an output pin of some other component, and then let that component write the pin value. supply was written to be that "other component". It reads values from parameters (set with the HAL command setp) and writes them to output pins.

Since supply was written, the setp command has been modified to allow it to set unconnected pins as well as parameters. In addition, the sets command was added, which can directly set HAL signals, as long as there are no output pins connected to them. Therefore, supply is obsolete.

supply supports a maximum of eight channels. The number of channels actually loaded is set by the num_chan argument when the module is loaded. If numchan is not specified, the default value is one.

FUNCTIONS

supply.N.update (uses floating-point)
    Updates output pins for channel N.

PINS

supply.N.q bit out
    Output bit, copied from parameter supply.N.d.

supply.N._q bit out
    Output bit, inverted copy of parameter supply.N.d.

supply.N.variable float out
    Analog output, copied from parameter supply.N.value.

supply.N._variable float out
    Analog output, equal to -1.0 times parameter supply.N.value.

supply.N.d bit rw
    Data source for q and _q output pins.

supply.N.value bit rw
    Data source for variable and _variable output pins.